tests: s/framework_failure/framework_failure_/
authorJim Meyering <meyering@redhat.com>
Tue, 6 Apr 2010 09:38:29 +0000 (11:38 +0200)
committerJim Meyering <meyering@redhat.com>
Tue, 6 Apr 2010 16:28:57 +0000 (18:28 +0200)
tests/helin-segv
tests/hufts
tests/memcpy-abuse
tests/mixed
tests/null-suffix-clobber
tests/stdin
tests/trailing-nul
tests/zdiff
tests/zgrep-f
tests/zgrep-signal
tests/znew-k

index fa54fa01af65ba104c60a90925730dceb4bde194..d0f8567f156bd215acdf909e1253b7df3d64a2e5 100755 (executable)
@@ -21,8 +21,8 @@
 . "$srcdir/init.sh"; path_prepend_ ..
 
 # This test case was provided by Aki Helin.
-printf '\037\235\220\0\0\0\304' > helin.gz || framework_failure
-printf '\0\0' > exp || framework_failure
+printf '\037\235\220\0\0\0\304' > helin.gz || framework_failure_
+printf '\0\0' > exp || framework_failure_
 
 fail=0
 
index 5a70a2a28086a180651047487b5ff9bc26f13f41..dc895af6bcc62d398318740dafcc840bbbf96c35 100755 (executable)
@@ -21,7 +21,7 @@
 . "$srcdir/init.sh"; path_prepend_ ..
 
 printf '\n...: invalid compressed data--format violated\n' > exp \
-  || framework_failure
+  || framework_failure_
 
 fail=0
 gzip -dc "$abs_srcdir/hufts-segv.gz" > out 2> err
index 912c3bb5c5e847531217ae3ffb1ac4521ef04676..5d2256a376ed967f4db372131ee0d8a0cf2a9421 100755 (executable)
@@ -23,7 +23,7 @@
 
 # The input must be larger than 32KiB and slightly
 # less uniform than e.g., all zeros.
-printf wxy%032767d 0 | tee in | gzip > in.gz || framework_failure
+printf wxy%032767d 0 | tee in | gzip > in.gz || framework_failure_
 
 fail=0
 
index 7595ca3826bba05d964459a811b68b62c2b31b73..c3775c80efb7cee1697a35d9c6ccfec333310ae4 100644 (file)
@@ -21,8 +21,8 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-printf 'xxx\nyyy\n'      > exp2 || framework_failure
-printf 'aaa\nbbb\nccc\n' > exp3 || framework_failure
+printf 'xxx\nyyy\n'      > exp2 || framework_failure_
+printf 'aaa\nbbb\nccc\n' > exp3 || framework_failure_
 
 fail=0
 
index da4fc0f5c78bd20d00233e4a3cbdb7a643ffafa7..36cd9b48a181c504fba5dc73bf3fe90a7595062c 100755 (executable)
@@ -20,9 +20,9 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-printf anything | gzip > F.gz || framework_failure
-echo y > yes || framework_failure
-echo "gzip: invalid suffix ''" > expected-err || framework_failure
+printf anything | gzip > F.gz || framework_failure_
+echo y > yes || framework_failure_
+echo "gzip: invalid suffix ''" > expected-err || framework_failure_
 
 fail=0
 
index ee52a33e0a5c77d78c721b16481cb3fa9e1cbb0e..c7459c60e8edbd12e6d6d6a507e794d097ba5d93 100755 (executable)
@@ -20,8 +20,8 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-printf a | gzip > in || framework_failure
-printf aaa > exp || framework_failure
+printf a | gzip > in || framework_failure_
+printf aaa > exp || framework_failure_
 
 fail=0
 gzip -dc in - in < in > out 2>err || fail=1
index 8a5ab0744ec2d10cff9fb66f69de65847c5e376a..63bae481b01a9b0002d057ae42eb9b187cfae112 100755 (executable)
@@ -21,9 +21,9 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-(echo 0 | gzip; printf '\0') > 0.gz || framework_failure
-(echo 00 | gzip; printf '\0\0') > 00.gz || framework_failure
-(echo 1 | gzip; printf '\1') > 1.gz || framework_failure
+(echo 0 | gzip; printf '\0') > 0.gz || framework_failure_
+(echo 00 | gzip; printf '\0\0') > 00.gz || framework_failure_
+(echo 1 | gzip; printf '\1') > 1.gz || framework_failure_
 
 fail=0
 
index 5a8b15a987bd1c222e36fad562a493b9f51ed822..505b93ffb596f73fb177bf3ea12512caa3ab8aba 100755 (executable)
@@ -21,9 +21,9 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-echo a > a || framework_failure
-echo b > b || framework_failure
-gzip a b || framework_failure
+echo a > a || framework_failure_
+echo b > b || framework_failure_
+gzip a b || framework_failure_
 
 cat <<EOF > exp
 1c1
index 87b9577d1b18316c5b94c2dcc7ccae58a1d6cadb..cf4b602f11b473a3b6db9e9799b0b2353949443d 100644 (file)
@@ -23,9 +23,9 @@
 
 require_POSIX_grep_
 
-echo needle > n || framework_failure
-echo needle > haystack || framework_failure
-gzip haystack || framework_failure
+echo needle > n || framework_failure_
+echo needle > haystack || framework_failure_
+gzip haystack || framework_failure_
 
 fail=0
 zgrep -f - haystack.gz < n > out 2>&1 || fail=1
index 2454423b256716220413a00524f6b19c6d3e518a..1b96237cf0f8b1a8b3a04108db1a7b4a484975c4 100644 (file)
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-echo a | gzip -c > f.gz || framework_failure
+echo a | gzip -c > f.gz || framework_failure_
 
 fail=0
 
 status=$(exec 3>&1; (zgrep a f.gz f.gz; echo $? >&3) | :) ||
-         framework_failure
+         framework_failure_
 
 test "$status" = 141 || fail=1
 
index d49b971b3afa5a2ca5fed85afeb3321fd4a40c28..e7ca443bd2c41eb7ac1d17dbfaf898e7cd836c9d 100644 (file)
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ..
 
-cat <<'EOF' >compress || framework_failure
+cat <<'EOF' >compress || framework_failure_
 #!/bin/sh
 echo >&2 'compress has been invoked'
 exit 1
 EOF
-chmod +x compress || framework_failure
+chmod +x compress || framework_failure_
 
 # Note that the basename must have a length of 6 or greater.
 # Otherwise, "test -f $name" below would fail.
 name=123456.Z
 
-printf '%1012977s' ' ' | gzip -c > $name || framework_failure
+printf '%1012977s' ' ' | gzip -c > $name || framework_failure_
 
 fail=0